Subject: bug#1316: #1316 - 23.0.60; Image display OSX carbon - Emacs bug report logs

From: Klymak Jody <[email-masked]>
Date: Tue, 25 Nov 2008 07:25:18 -0800

On Nov 24, 2008, at 5:01 PM, Adrian Robert wrote:

> OK, in some sort of JPEG metadata (I'm not familiar with this, but  
> wonder if ImageMagick lets you control it) the first says "250 DPI"  
> and the second "72 DPI".  If you are on a Mac (maybe Leopard  
> necessary) you can see the effect by opening in Preview, then in  
> Preview's prefs toggle the 'Images'
> | 'Default Image Size' option back and forth.
>
> Emacs.app currently respects the DPI.  Perhaps it should be changed  
> to ignore it?  (I don't like the idea of an option, unless other  
> platforms could be talked into supporting it.)

I see, that makes sense.  Maybe the question is do other Emacs respect  
the DPI?  The old version didn't. Does 23.x do so on other platforms?   
If so, then of course Carbon should as well.

Again the problem was with docview mode, and their call of gs to  
convert from pdf to png made high dpi pngs that showed up very small  
in 23.x.  I guess the easiest thing to do is modify docview to use the  
correct dpi...

Thanks a lot for looking at this and for all your hard work on  
Emacs.app!,

Cheers,  Jody

>
>
> -Adrian
>
>
> On Nov 24, 2008, at 6:35 PM, Klymak Jody wrote:
>
>>
>> Hi Adrian,
>>
>> A jpeg is attached.  It shows up as 3.4 x 3.5cm on my screen at 96  
>> dpi when I run with Emacs -Q and open from dired.
>>
>> In Emacs 22.3.1 on the same machine it shows up as 11x12 cm.
>>
>> OTOH, you are right - many jpegs from my collection seem to show up  
>> fine, so it must be a difference in how I've made this one.  These  
>> are just made using imagemagick's convert, so I can't be the only  
>> one who has problems. The problem also manifests itself in pngs  
>> made by docview mode.
>>
>> The second file is one that looks fine on both versions of emacs.
>>
>> Thanks,  Jody
>>
>>
>>
>>
>>
>>
>> --
>> Jody Klymak
>> http://web.uvic.ca/~jklymak/
>>
>>
>>
>>
>>
>

--
Jody Klymak
http://web.uvic.ca/~jklymak/